2019-10-16 14:14 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002137FSSCPSEXPspublic2010-03-01 08:42
ReporterRansom Arceihn 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.12 RC1 
Summary0002137: play-sound-from-file won't loop with a number other than 1
DescriptionThe loop argument used to return true with any non-zero number, as the documentation says, but with 3.6.12 RC1 it will only loop with 1.

This is obviously not a serious issue, and really it would probably make more sense (and clear up confusion) if the loop argument was just a boolean instead of a number to begin with, but it does break compatibility with some mods.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011714

TopAce (reporter)

Confirmed. This happens in all 3.6.11. builds that I'm aware of.

~0011725

taylor (administrator)

Looks like it broke with karajorma's multi-sexp commit. Assigning to him to sort out how best to deal with it.

~0011730

karajorma (administrator)

Looks like the SEXP didn't work properly originally and I assumed it worked differently based on that (it didn't care what the argument actually was. It just looped if there was one).
+Notes

-Issue History
Date Modified Username Field Change
2010-02-23 13:50 Ransom Arceihn New Issue
2010-02-23 13:50 Ransom Arceihn File Added: shouldloop.fs2
2010-02-26 13:42 TopAce Note Added: 0011714
2010-02-28 23:28 taylor Note Added: 0011725
2010-02-28 23:28 taylor Status new => assigned
2010-02-28 23:28 taylor Assigned To => karajorma
2010-03-01 08:42 karajorma Note Added: 0011730
2010-03-01 08:42 karajorma Status assigned => resolved
2010-03-01 08:42 karajorma Fixed in Version => 3.6.12 RC1
2010-03-01 08:42 karajorma Resolution open => fixed
+Issue History